package cn.com.poc.agent_application.dto;

import cn.com.poc.thirdparty.resource.demand.ai.entity.dialogue.Message;

import java.io.Serializable;
import java.util.List;

public class AgentApplicationPreviewDto implements Serializable {

    private String modelNickName;

    private Float topP;

    private Float temperature;

    private String agentSystem;

    private String agentId;

    private List<Message> messages;

    private List<String> fileUrls;

    /**
    * 对话参考轮次
    */
    private Integer communicationTurn;

    /**
     * 渠道来源
     */
    private String channel;

    public List<String> getFileUrls() {
        return fileUrls;
    }

    public void setFileUrls(List<String> fileUrls) {
        this.fileUrls = fileUrls;
    }

    public Float getTopP() {
        return topP;
    }

    public void setTopP(Float topP) {
        this.topP = topP;
    }

    public Float getTemperature() {
        return temperature;
    }

    public void setTemperature(Float temperature) {
        this.temperature = temperature;
    }

    public String getAgentSystem() {
        return agentSystem;
    }

    public void setAgentSystem(String agentSystem) {
        this.agentSystem = agentSystem;
    }

    public String getModelNickName() {
        return modelNickName;
    }

    public void setModelNickName(String modelNickName) {
        this.modelNickName = modelNickName;
    }

    public String getAgentId() {
        return agentId;
    }

    public void setAgentId(String agentId) {
        this.agentId = agentId;
    }

    public List<Message> getMessages() {
        return messages;
    }

    public void setMessages(List<Message> messages) {
        this.messages = messages;
    }

    public String getChannel() {
        return channel;
    }

    public void setChannel(String channel) {
        this.channel = channel;
    }

    public Integer getCommunicationTurn() {
        return communicationTurn;
    }

    public void setCommunicationTurn(Integer communicationTurn) {
        this.communicationTurn = communicationTurn;
    }
}
